Get Vcenter Datastore Item
Get information about the vCenter Server's datastore object.
The ID of a pairing between this Site Recovery Manager server and remote one
The ID of a vCenter server
The ID of a vCenter Server's datastore object.
Information about the vCenter Server's datastore object.
{
"id": "string",
"name": "string",
"path": "string",
"parent": "string",
"capacity_details": {
"total_capacity": 0,
"used_space": 0
},
"file_system_type": "string",
"type": "string",
"overall_status": "string",
"maintenance_mode": "string",
"accessible": false,
"_meta": {
"errors": [
{
"code": "string",
"message": "string",
"field": "string"
}
]
}
}
Bad request - the server cannot understand the request due to invalid syntax or invalid request body content
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
Unauthorized - the client must authenticate itself to get the requested response
Forbidden - not sufficient access rights to fulfill the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
Not Found - server cannot find the requested in URL resource
Internal server error - unexpected condition prevents fulfilling the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
curl -H 'Authorization: <value>' https://{api_host}/pairings/{pairing_id}/vcenters/{vcenter_id}/inventory/datastores/{datastore_id}